Subject: Nixery + nix-snapshotter

From: Vincent Ambo <[email-masked]>
Date: Mon, 11 Sep 2023 14:18:31 -0700

Hey Edgar!

Responding to your IRC message here, as it seems you've dropped off the
network. I've CC'd in [email-masked], which makes this conversation public
in our public inbox at https://inbox.tvl.su

For context: https://github.com/tazjin/nixery/issues/160

> <hinshun> i'm UTC-4, [...]. otherwise the only reasonable time is my
> 9am - your 4pm.

Sleep off your jetlag first, no rush! I tend to start working pretty
late, and finish pretty late, so consider me available until ~8pm my
time (i.e. 1pm your time). Async also works, though I find a quick call
is usually more productive to kick things off.

To start with: It's not clear to me what kind of image would need to be
served by Nixery. I suspect it's related to the "remote snapshotter"
feature, and we'd need to serve the individual derivations as image
layers with some kind of metadata?

//V